Click
  1. Click
  2. CLK-632

MinimumYear & MaximumYear: 1) aren't used in CalendarField (JS Popup Calendar allows You select any year) 2) aren't used for validation in DateField&CalendarField

    Details

    • Type: Bug Bug
    • Status: Open
    • Priority: Major Major
    • Resolution: Unresolved
    • Affects Version/s: 2.1.0
    • Fix Version/s: None
    • Component/s: click-calendar, core
    • Labels:
      None

      Description

      1) DateField popup calendar allows you enter only year from range MinimumYear, but same feature in CalendarField is broken.
      CalendarField aren't used MinimumYear & MaximumYear at all.

      2) it looks intuitive for user that MinimumYear & MaximumYear are used in validation, and he can't receive date less than MinimumYear-01-01 and great than MaximumYear-12-31.
      But both fields aren't used for value validation at all ;-(

        Activity

        Hide
        Bob Schellink added a comment -

        1) has been implemented in Click-Calendar

        Show
        Bob Schellink added a comment - 1) has been implemented in Click-Calendar

          People

          • Assignee:
            Unassigned
            Reporter:
            Andrew Fink
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:

              Development